select
    location_timestamp,
    previous_odometer,
    current_odometer,
    current_odometer - previous_odometer as meters_travelled
from
    (
        select
            location_timestamp,
            lag(odometer_meters) 
                over (partition by vehicle_id order by location_timestamp) 
                as previous_odometer,
            odometer_meters as current_odometer
        from
            track
        where
            vehicle_id = 3310
    ) x;
